/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.web;

import org.springframework.core.NamedThreadLocal;

import java.util.HashMap;
import java.util.Map;

/**
 * @author 田平 create 2020年1月15日下午2:12:12
 */
public class HttpServerHolder {

	public static ThreadLocal<Map<String, Object>> busiLogInfo = new NamedThreadLocal<Map<String, Object>>("HttpServerBusiLogInfo") {
		@Override
		protected Map<String, Object> initialValue() {
			return new HashMap<String, Object>();
		}
	};

	public static Map<String, Object> getBusiInfoAndClean() {
		busiLogInfo.get().clear();
		return busiLogInfo.get();
	}

}
